Subject: Re: bug#77160: raising hell (frames)

From: Ship Mints <[email-masked]>
Date: Fri, 21 Mar 2025 18:32:24 -0400

On Fri, Mar 21, 2025 at 6:16 PM Christopher Stacy <[email-masked]> wrote:

> Yes, I forgot to say: This is all about fullscreen frames.
>
> You never use them. I use fullscreen exclusively, for Emacs.
>
> When I am in Emacs (which is all day every day), I just want Emacs in
> front of me. No menu bars, titlebars. or anything!
>
> :)
>
> Firefox does the stupid effect in full screen mode, too, turns out.
> So we can't look there for the answer.
>
> I don't think the correct solution is to change a setting on the OS,
> since railwaycat Emacs does the right thing without external adjustments.
>
> This bug is in fact what has kept me on his hacked Emacs all these
> years. But due to other bugs I have been forced to upgrade to Emacs 30,
> and I don't think he's going to update from 29.
>

Looking at nsfns and nsterm 29.4 vs. 30.1 I don't see anything that stands
out.

Where did you get your 29.4 and 30.1 builds?